Description

The expected result requires the client to read the SGCB.resvTms but that is optional according to PIXIT Sg6é! The PIXIT entry Sg6
has no Edition indication. So when PIXIT says No the client will fail the expected result.

Propose: update the expected result to allow PIXIT Sg6=No behavior. Update the PIXIT Entry Sg6é edition.

History

#1 - 04/02/2024 08:50 AM - IEC 61850 TPWG
- Due date set to 04/16/2024
- Status changed from New to In Progress

- Assignee set to Richard Schimmel

Update the PIXIT Entry Sg6 edition to show Ed1 only, remove PIXIT Sg6 reference in Ed2, 2.1 test procedures.

Richard to submit proposal.

#2 - 04/16/2024 04:35 AM - Ursula Kramarczyk

| agree that current text in PIXIT entry Sg6 is Ed1 only. The SGCB attribute resvTms is optional for server, but client supporting Setting Groups
(PICS), thus GetSGCBValues service (-8-1: "is a specialization of the GetDataValues service"), must be able to process this attribute. Thus, only
client Ed.1 is allowed to not be able to read the value of SGCB.ResvTms attribute.

But | disagree that cSg13 and/or cSg14 are mandatory. Neither in -7-2, nor -8-1, there is a statement that client shall evaluate ResvTms (or EditSG)
attribute prior to SelectEditSG. The -7-2 defines that client shall issue the SelectEditSG, and gets (or not) the SGCB reserved. The server checks if
SGCB is currently reserved (or not) by another client and shall respond SelectEditSG positive/negative accordingly. The SGCB reservation process
does not involve GetSGCBValues service.

Solution proposal: update the PIXIT Entry Sg6 from "Does the client read the optional ResvTms value?" to "Does the client evaluate the EditSG
and/or optional ResvTms value prior SelectEditSG?"

But even then, a client evaluating only EditSG will ever fail expected result of cSg13, as the test description is that as well EditSG > 0 as ResvTms >
0. And EditSG > 0 (alone) is tested in cSg14. Thus, both test cases are testing an optional, same behavior based on EditSG.

#3 - 04/16/2024 08:35 AM - IEC 61850 TPWG
- Due date changed from 04/16/2024 to 04/30/2024
